import 'dart:io';

Future<void> main(List<String> args) async {
  print("====== 欢迎使用 Flyinsono Lab Build Tools ======");
  print("WIP: 该工具还在开发中，欢迎使用并提出建议。");
  print("运行该脚本将会重命名web文件夹。");
  print("web --> web_flyinsono");
  print("web_lab --> web");
  print("如需还原，请运行下方命令：");
  print("dart ./scripts/revert_lab.dart");
  print("===========================================");

  // 重命名文件夹的方法
  renameWebFolder();
}

void renameWebFolder() async {
  // 创建一个Directory对象指向当前目录下的web文件夹
  var webDir = Directory('web');
  var webLabDir = Directory('web_lab');
  if (await webDir.exists() && await webLabDir.exists()) {
    await webDir.rename('web_flyinsono');
    await webLabDir.rename('web');
    return;
  } else {
    print('当前目录下不存在 web 和 web_lab 文件夹，请检查运行环境');
  }
}
